Skip to content
Important dotfiles and installation recipes
VimL Visual Basic Other
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
.bash_it/themes/gaurav
.vim
sublime
.aliases
.exports
.functions
.gitconfig
.vimrc
README.md

README.md

New Environment Setup (For Rails):


Install RVM and ruby versions

http://beginrescueend.com/rvm/install/

Create and use Gemsets

rvm gemset create <gemset_name>
rvm use <ruby_version>@<gemset_name>

Install Dependancies

rvm package install zlib
or
rvm install zlib
or
sudo aptitude install build-essential libssl-dev libreadline5 libreadline5-dev zlib1g zlib1g-dev
or
sudo apt-get install build-essential libssl-dev libreadline5 libreadline5-dev zlib1g zlib1g-dev 

Mysql gem Dependancies

sudo apt-get install libmysqlclient-dev

Install Rails

gem install rails -v2.3.5

Install MySQL (if not installed already)

(Relax, this will take a while)
sudo apt-get install mysql-server

Mysql Gem

gem install MySQL
Something went wrong with that request. Please try again.